#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    
    int n, l, h, r = -1;
    cin >> n >> l;
    for (int i = 0; i < n; i++){
        cin >> h;
        if (h <= l && r == -1){
            r = i+1;
        }
    }
    cout << r;
    return 0;
}